Subject: [6lowpan] Couple of questions from packet format document

From: Soohong Daniel Park <[email-masked]>
Date: Wed, 12 Apr 2006 15:36:09 +0900

Gabriel - While going through our packet format document, 
a couple of questions happen in my side...Please clarify them.

[1] In section 9.1, this document says " the packet length
can be inferred from the layer two"... 

I am not sure how it can be inferred from the layer two.

[2] In section 9.2, UDP source/destination port is obtained
by calculating: P + short_port value. P is a predetermined
port number with value TBD. The short_port is expressed
as a 4-bit value which is carried "in-line" (Section 9.3.2).

I am not sure what you mean by short_port. I can't
see any relevant mention in Section 9.3.2.

PS, just curious whether we should consider IPv6
extension from the Next Header perspective. 

Thanks,

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.

_______________________________________________
6lowpan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/6lowpan